// D64HDbfCallBackDlg.h : header file
//

#if !defined(AFX_D64HDBFCALLBACKDLG_H__0552455E_6A77_479B_8B81_6F4AD805B21B__INCLUDED_)
#define AFX_D64HDBFCALLBACKDLG_H__0552455E_6A77_479B_8B81_6F4AD805B21B__INCLUDED_

#define maximum_fifo_loop_count 2048

#ifndef   M_PI
#define   M_PI     3.14159265359
#endif

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "PCI_D64H.h"

/////////////////////////////////////////////////////////////////////////////
// CD64HDbfCallBackDlg dialog

class CD64HDbfCallBackDlg : public CDialog
{
// Construction
public:
	CD64HDbfCallBackDlg(CWnd* pParent = NULL);	// standard constructor
	void display_buffer_data( U32* pBuf );	
	void redraw_display_area();

// Dialog Data
	//{{AFX_DATA(CD64HDbfCallBackDlg)
	enum { IDD = IDD_D64HDBFCALLBACK_DIALOG };
	CComboBox	m_cbCardID;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CD64HDbfCallBackDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	U32 m_dwDIBufLen;
	U32 m_dwDISamples;
	HICON m_hIcon;
	HBRUSH OnBrush;
	HBRUSH OffBrush;
	CPen RedPen;
	CPen GreenPen;
	DWORD max_val;
	DWORD min_val;
	int y_divider;
	int x_divider;
	int m_DisplayScale;
	double m_fSampleRate;
	// Generated message map functions
	//{{AFX_MSG(CD64HDbfCallBackDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnStart();
	afx_msg void OnStop();
	afx_msg void OnCardIDSelchange();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	int n_PlotHeight;
	int n_PlotWidth;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_D64HDBFCALLBACKDLG_H__0552455E_6A77_479B_8B81_6F4AD805B21B__INCLUDED_)
