// D64HDblBufWaveDlg.h : header file
//

#if !defined(AFX_D64HDBLBUFWAVEDLG_H__E1305FE9_9292_4387_9C2F_642BEBE113CB__INCLUDED_)
#define AFX_D64HDBLBUFWAVEDLG_H__E1305FE9_9292_4387_9C2F_642BEBE113CB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "PCI_D64H.h"

/////////////////////////////////////////////////////////////////////////////
// CD64HDblBufWaveDlg dialog

class CD64HDblBufWaveDlg : public CDialog
{
// Construction
public:
	CD64HDblBufWaveDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CD64HDblBufWaveDlg)
	enum { IDD = IDD_D64HDBLBUFWAVE_DIALOG };
	CComboBox	m_cbCardID;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CD64HDblBufWaveDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void display_buffer_data(U32 *pBuf);
	void redraw_display_area();
	UINT m_nTimer;
	UINT m_nTimer2;
	U32* m_pDIAddr;
	U32 m_dwDIBufLen;
	U32 m_dwDISamples;
	BYTE m_bCardID;
	HICON m_hIcon;
	HBRUSH OnBrush;
	HBRUSH OffBrush;
	CPen RedPen;
	CPen GreenPen;
	DWORD max_val;
	DWORD min_val;
	int y_divider;
	int x_divider;
	int m_DisplayScale;
	double m_fSampleRate;

	// Generated message map functions
	//{{AFX_MSG(CD64HDblBufWaveDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnCardIDSelchange();
	afx_msg void OnStart();
	afx_msg void OnStop();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	int n_PlotHeight;
	int n_PlotWidth;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_D64HDBLBUFWAVEDLG_H__E1305FE9_9292_4387_9C2F_642BEBE113CB__INCLUDED_)
