// D64HSyncWaveDlg.h : header file
//

#if !defined(AFX_D64HSYNCWAVEDLG_H__44B0D9A0_603F_4FB1_B5BC_22B5E34BAF7E__INCLUDED_)
#define AFX_D64HSYNCWAVEDLG_H__44B0D9A0_603F_4FB1_B5BC_22B5E34BAF7E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "PCI_D64H.h"

/////////////////////////////////////////////////////////////////////////////
// CD64HSyncWaveDlg dialog

class CD64HSyncWaveDlg : public CDialog
{
// Construction
public:
	CD64HSyncWaveDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CD64HSyncWaveDlg)
	enum { IDD = IDD_D64HSYNCWAVE_DIALOG };
	CComboBox	m_cbCardID;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CD64HSyncWaveDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void display_buffer_data( U32* pBuf );
	void redraw_display_area();
	U32* m_pDIAddr;
	U32 m_dwDIBufLen;
	U32 m_dwDISamples;
	BYTE m_bCardID;
	HICON m_hIcon;
	HBRUSH OnBrush;
	HBRUSH OffBrush;
	CPen RedPen;
	CPen GreenPen;
	DWORD max_val;
	DWORD min_val;
	int y_divider;
	int x_divider;
	int m_DisplayScale;
	double m_fSampleRate;

	// Generated message map functions
	//{{AFX_MSG(CD64HSyncWaveDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnCardIDSelchange();
	afx_msg void OnStart();
	afx_msg void OnDisplay();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	int n_PlotHeight;
	int n_PlotWidth;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_D64HSYNCWAVEDLG_H__44B0D9A0_603F_4FB1_B5BC_22B5E34BAF7E__INCLUDED_)
